package com.zhaitech.lilith.commons.test.domain;

import com.zhaitech.lilith.commons.domain.BaseEntity;

import javax.persistence.*;
import java.util.List;

@Entity
public class Company extends BaseEntity {

    private static final long serialVersionUID = -5528635866749043463L;

    @Column(nullable=false, unique=true, length=20)
    public String name;

    @Column(nullable=false, length=64)
    public String description;

    @Column(nullable=false, length=64)
    public String domain;

    @OneToMany(mappedBy="company",
               orphanRemoval=true,
               cascade=CascadeType.ALL,
               fetch=FetchType.EAGER)
    public List<Employee> employees;
}
